Index: uspace/lib/pcut/src/run.c
===================================================================
--- uspace/lib/pcut/src/run.c	(revision 9b201262edcb92c27cf4a25a8379320113426ab7)
+++ uspace/lib/pcut/src/run.c	(revision b688fd884822ca3ea5bb45f1b6b2ca18b04efbcc)
@@ -73,8 +73,9 @@
 static int default_suite_initialized = 0;
 
-static void init_default_suite_when_needed() {
-	if (default_suite_initialized) {
+static void init_default_suite_when_needed(void)
+{
+	if (default_suite_initialized)
 		return;
-	}
+	
 	default_suite.id = -1;
 	default_suite.kind = PCUT_KIND_TESTSUITE;
@@ -91,11 +92,13 @@
  * @return Always a valid test suite item.
  */
-static pcut_item_t *pcut_find_parent_suite(pcut_item_t *it) {
+static pcut_item_t *pcut_find_parent_suite(pcut_item_t *it)
+{
 	while (it != NULL) {
-		if (it->kind == PCUT_KIND_TESTSUITE) {
+		if (it->kind == PCUT_KIND_TESTSUITE)
 			return it;
-		}
+		
 		it = it->previous;
 	}
+	
 	init_default_suite_when_needed();
 	return &default_suite;
@@ -106,8 +109,8 @@
  * @param func Function to run (can be NULL).
  */
-static void run_setup_teardown(pcut_setup_func_t func) {
-	if (func != NULL) {
+static void run_setup_teardown(pcut_setup_func_t func)
+{
+	if (func != NULL)
 		func();
-	}
 }
 
@@ -119,11 +122,11 @@
  * @param outcome Outcome of the current test.
  */
-static void leave_test(int outcome) {
+static void leave_test(int outcome)
+{
 	PCUT_DEBUG("leave_test(outcome=%d), will_exit=%s", outcome,
-		leave_means_exit ? "yes" : "no");
-	if (leave_means_exit) {
+	    leave_means_exit ? "yes" : "no");
+	if (leave_means_exit)
 		exit(outcome);
-	}
-
+	
 #ifndef PCUT_NO_LONG_JUMP
 	longjmp(start_test_jump, 1);
@@ -138,6 +141,8 @@
  * @param message Message describing the failure.
  */
-void pcut_failed_assertion(const char *message) {
+void pcut_failed_assertion(const char *message)
+{
 	static const char *prev_message = NULL;
+	
 	/*
 	 * The assertion failed. We need to abort the current test,
@@ -145,13 +150,12 @@
 	 * include running the tear-down routine.
 	 */
-	if (print_test_error) {
+	if (print_test_error)
 		pcut_print_fail_message(message);
-	}
-
+	
 	if (execute_teardown_on_failure) {
 		execute_teardown_on_failure = 0;
 		prev_message = message;
 		run_setup_teardown(current_suite->teardown_func);
-
+		
 		/* Tear-down was okay. */
 		if (report_test_result) {
@@ -165,7 +169,7 @@
 		}
 	}
-
+	
 	prev_message = NULL;
-
+	
 	leave_test(TEST_OUTCOME_FAIL); /* No return. */
 }
@@ -176,5 +180,6 @@
  * @return Error status (zero means success).
  */
-static int run_test(pcut_item_t *test) {
+static int run_test(pcut_item_t *test)
+{
 	/*
 	 * Set here as the returning point in case of test failure.
@@ -182,20 +187,19 @@
 	 * test execution.
 	 */
+	
 #ifndef PCUT_NO_LONG_JUMP
 	int test_finished = setjmp(start_test_jump);
-	if (test_finished) {
+	if (test_finished)
 		return 1;
-	}
 #endif
-
-	if (report_test_result) {
+	
+	if (report_test_result)
 		pcut_report_test_start(test);
-	}
-
+	
 	current_suite = pcut_find_parent_suite(test);
 	current_test = test;
-
+	
 	pcut_hook_before_test(test);
-
+	
 	/*
 	 * If anything goes wrong, execute the tear-down function
@@ -203,10 +207,10 @@
 	 */
 	execute_teardown_on_failure = 1;
-
+	
 	/*
 	 * Run the set-up function.
 	 */
 	run_setup_teardown(current_suite->setup_func);
-
+	
 	/*
 	 * The setup function was performed, it is time to run
@@ -214,5 +218,5 @@
 	 */
 	test->test_func();
-
+	
 	/*
 	 * Finally, run the tear-down function. We need to clear
@@ -221,14 +225,13 @@
 	execute_teardown_on_failure = 0;
 	run_setup_teardown(current_suite->teardown_func);
-
+	
 	/*
 	 * If we got here, it means everything went well with
 	 * this test.
 	 */
-	if (report_test_result) {
+	if (report_test_result)
 		pcut_report_test_done(current_test, TEST_OUTCOME_PASS,
-			NULL, NULL, NULL);
-	}
-
+		    NULL, NULL, NULL);
+	
 	return 0;
 }
@@ -242,16 +245,15 @@
  * @return Error status (zero means success).
  */
-int pcut_run_test_forked(pcut_item_t *test) {
-	int rc;
-
+int pcut_run_test_forked(pcut_item_t *test)
+{
 	report_test_result = 0;
 	print_test_error = 1;
 	leave_means_exit = 1;
-
-	rc = run_test(test);
-
+	
+	int rc = run_test(test);
+	
 	current_test = NULL;
 	current_suite = NULL;
-
+	
 	return rc;
 }
@@ -265,16 +267,15 @@
  * @return Error status (zero means success).
  */
-int pcut_run_test_single(pcut_item_t *test) {
-	int rc;
-
+int pcut_run_test_single(pcut_item_t *test)
+{
 	report_test_result = 1;
 	print_test_error = 0;
 	leave_means_exit = 0;
-
-	rc = run_test(test);
-
+	
+	int rc = run_test(test);
+	
 	current_test = NULL;
 	current_suite = NULL;
-
+	
 	return rc;
 }
@@ -285,16 +286,16 @@
  * @return Timeout in seconds.
  */
-int pcut_get_test_timeout(pcut_item_t *test) {
+int pcut_get_test_timeout(pcut_item_t *test)
+{
 	int timeout = PCUT_DEFAULT_TEST_TIMEOUT;
 	pcut_extra_t *extras = test->extras;
-
-
+	
 	while (extras->type != PCUT_EXTRA_LAST) {
-		if (extras->type == PCUT_EXTRA_TIMEOUT) {
+		if (extras->type == PCUT_EXTRA_TIMEOUT)
 			timeout = extras->timeout;
-		}
+		
 		extras++;
 	}
-
+	
 	return timeout;
 }
